#define _CRT_SECURE_NO_DEPRECATE

#define WIN32_LEAN_AND_MEAN  // Exclude rarely-used stuff from Windows headers
#include <windows.h>
#include <stdlib.h>
#include <stdio.h>

#include <math.h>

#define MT4_EXPFUNC __declspec(dllexport)

#pragma pack(push,1)

struct RateInfo
{
  unsigned int      ctm;
  double            open;
  double            low;
  double            high;
  double            close;
  double            vol;
};

#pragma pack(pop)

//----
struct MqlStr
{
  int               len;
  char             *string;
};

#define Time(x) rates[rates_size - 1 - (x)].ctm
#define High(x) rates[rates_size - 1 - (x)].high
#define Low(x) rates[rates_size - 1 - (x)].low
#define Open(x) rates[rates_size - 1 - (x)].open
#define Close(x) rates[rates_size - 1 - (x)].close
